%define		reldate	140201
Summary:	NT SAM password recovery utility
Summary(pl.UTF-8):	Narzędzie do odtwarzania haseł NT SAM
Name:		chntpw
# Version is taken from HISTORY.txt
Version:	1.00
Release:	1
Epoch:		1
License:	GPL v2 (ntchpw), LGPL (ntreg)
Group:		Applications/System
Source0:	http://pogostick.net/~pnh/ntpasswd/%{name}-source-%{reldate}.zip
# Source0-md5:	d60bc657206b07ad84d926649d6417dc
Source2:	%{name}-README.Dist
Patch0:		makefile.patch
Patch1:		%{name}-debian.patch
# Patches from Jim Meyering to improve robustness of the code.
Patch5:		%{name}-080526-correct-test-for-failing-open-syscall.patch
Patch6:		%{name}-080526-detect-failure-to-write-key.patch
Patch7:		%{name}-080526-reged-no-deref-null.patch
URL:		http://pogostick.net/~pnh/ntpasswd/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chntpw is NT SAM password recovery utility. This little program
provides a way to view information and change user passwords in a
Windows NT/2000 userdatabase file. Old passwords need not be known
since they are overwritten. In addition it also contains a simple
registry editor (same size data writes) and an hex-editor which
enables you to fiddle around with bits and bytes in the file as you
wish. If you want GNU/Linux bootdisks for offline password recovery
you can add this utility to custom image disks or use those provided
at the tools homepage.

%description -l pl.UTF-8
chntpw to narzędzie do odtwarzania haseł NT SAM. Ten mały program
dostarcza sposób na oglądanie informacji i zmianę haseł użytkowników w
pliku bazy użytkowników Windows NT/2000. Nie trzeba znać starych
haseł, ponieważ zostaną one nadpisane. Ponadto pakiet zawiera prosty
edytor rejestru (zapis danych o tym samym rozmiarze) i edytor
szesnastkowy pozwalający na modyfikowanie bitów i bajtów w dowolnym
pliku. Jeśli chcemy mieć bootkietkę z Linuksem do odtwarzania haseł,
możemy dodać to narzędzie do własnych obrazów lub użyć obrazów ze
strony domowej.

%prep
%setup -q -n %{name}-%{reldate}
%patch0 -p1
%patch1 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

cp -p %{SOURCE2} README.Dist

%undos WinReg.txt

ver=$(awk '/%{reldate}/{print $3}' HISTORY.txt)
if [ "$ver" != %{version} ]; then
	: plz correct version to $ver
	exit 1
fi

%build
%{__make} chntpw cpnt reged \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}
install -p chntpw cpnt reged $RPM_BUILD_ROOT%{_bindir}
cp -a chntpw.8 $RPM_BUILD_ROOT%{_mandir}/man8/chntpw.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt regedit.txt WinReg.txt HISTORY.txt
%doc README.Dist
%attr(755,root,root) %{_bindir}/chntpw
%attr(755,root,root) %{_bindir}/cpnt
%attr(755,root,root) %{_bindir}/reged
%{_mandir}/man8/chntpw.8*
%changelog
* Tue Sep 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chntpw.git;a=log;h=master

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> fd14465
- patch Makefile for our optflags

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> 68a1323
- up to 1.00 (140201)

* Wed Aug 18 2010 Elan Ruusamäe <glen@pld-linux.org> 829c8ad
- license version

* Wed Aug 18 2010 Elan Ruusamäe <glen@pld-linux.org> 35df801
- add patches from fedora
- 100627 release is actually version 0.99.6

* Mon Jul 05 2010 areq <areq@pld-linux.org> 2a0c133
- 100627

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5dc58ef
- release 2

* Tue Nov 17 2009 Krzysztof Krakowiak <evil@pld-linux.org> 8a52988
- up to 080526
- cosmetic

* Sat Oct 13 2007 areq <areq@pld-linux.org> 4361447
- 070923

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 405dd0c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b4149f8
- converted to UTF-8

* Sun Jun 05 2005 areq <areq@pld-linux.org> 752bd96
- add gcc4 patch

* Wed Nov 24 2004 darekr <darekr@pld-linux.org> 19a515c
- BR: unzip

* Wed Nov 10 2004 paladine <paladine@pld-linux.org> 2079846
- cosmetics

* Sun Aug 22 2004 areq <areq@pld-linux.org> 7c8bf90
- 040818

* Sat Jul 03 2004 areq <areq@pld-linux.org> eae7f31
- 040116

* Fri Mar 19 2004 ankry <ankry@pld-linux.org> a3259fb
- massive change: BR openssl-devel >= 0.9.7d

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> fa47aa4
- może wrescie ktoś wykasuje to konto ?

* Sat Aug 02 2003 Jakub Bogusz <qboosh@pld-linux.org> 84246f4
- pl, cleanup

* Sat Jul 05 2003 areq <areq@pld-linux.org> f9197a6
- based on debian patch

* Sat Jul 05 2003 areq <areq@pld-linux.org> 1d77a98
- init PLD spec

